﻿using System;
using System.IO;
using Foxit.PDF;
using Foxit.PDF.PageElements;
using Foxit.PDF.PageElements.Html;

public partial class GeneratorExamples_HtmlAreaTags : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // Create a document and set it's properties
        Foxit.PDF.Document document = new Foxit.PDF.Document();
        document.Creator = "HtmlAreaTags.aspx";
        document.Author = "Foxit Software";
        document.Title = "HtmlArea Tags";

        //Create a header footer template
        HeaderFooterTemplate header = new HeaderFooterTemplate("HeaderText", "FooterText");

        //Create a uri and get the input Html file.
        Uri uri = new Uri(MapPath("../Html/HtmlTags.html"));

        // Create a HtmlArea and set it's Dimensions
        HtmlArea htmlArea = new HtmlArea(uri, 0, 0, 500, 680);
        Page page;
        do
        {
            // Create a page to add to the document
            page = new Page();

            // Add htmlArea to page
            page.Elements.Add(htmlArea);

            // Add page to document
            document.Pages.Add(page);

            // Set the html area object equal to the rest of the html area that did not fit
            // if all the html area did fit, GetOverflowHtmlArea will return null
            htmlArea = htmlArea.GetOverflowHtmlArea(0, 0, 680);

        } while (htmlArea != null);

        // Add the template to the document
        document.Template = header;

        // Outputs the document to the current web page
        document.DrawToWeb("HtmlTags.pdf");

    }
}