﻿using System;
using System.IO;
using Foxit.PDF;
using Foxit.PDF.PageElements;
using Foxit.PDF.PageElements.Html;

public partial class GeneratorExamples_HtmlAreaTagsAndStyles : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // Create a document and set it's properties
        Foxit.PDF.Document document = new Foxit.PDF.Document();
        document.Creator = "HtmlAreaTagsAndStyles.aspx";
        document.Author = "Foxit Software";
        document.Title = "HtmlArea Tags And Styles";

        //Create a uri and get the input Html file.
        Uri uri = new Uri(MapPath("../Html/HtmlAreaTagsAndStyles.html"));

        // Create a HtmlArea and set it's Dimensions
        HtmlArea htmlArea = new HtmlArea(uri, 0, 0, 500, 680);
        Page page;
        int x = 1;
        do
        {
            // Create a page to add to the document
            page = new Page();
            if (x == 3)
            {
                // set the page dimensions for 3rd page
                page.Dimensions.Width = 400;
                page.Dimensions.Height = 550;
            }

            // Add htmlArea to page
            page.Elements.Add(htmlArea);

            // Set the html area object equal to the rest of the html area that did not fit
            // if all the html area did fit, GetOverflowHtmlArea will return null
            htmlArea = htmlArea.GetOverflowHtmlArea(0, 0, 680);

            // Add page to document
            document.Pages.Add(page);
            x++;

        } while (htmlArea != null);

        // Outputs the document to the current web page
        document.DrawToWeb("HtmlAreaTagsAndStyles.pdf");
    }
}